Update allocator settings
- PATCH /platform/infrastructure/allocators/{allocator_id}/settings
Applies the settings as a patch. Only the fields that are referenced in the update are altered.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
Query Parameters
-
versionstring Checks for conflicts against the metadata version, then returns the value in the
x-cloud-resource-versionheader.
Request
The allocator settings to update
Type: string
Responses
Returns the updated settings for the specified allocator
-
capacityinteger -
A memory capacity (in MB) that overrides the capacity defined during installation - requires separate restart of Allocator services on each host to take full effect.
The allocator specified by {allocator_id} cannot be found. (code: allocators.allocator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response